Bug 216145 - print/texlive-base: context and mtxrun need texlua
Summary: print/texlive-base: context and mtxrun need texlua
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Hiroki Sato
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2017-01-16 15:42 UTC by Zsolt Udvari
Modified: 2019-06-01 06:47 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hrs)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2017-01-16 15:42:01 UTC
The /usr/local/bin/context calls /usr/local/bin/mtxrun whose first line is #!/usr/bin/env texlua. The texlua isn't shipped in texlive-base.
I think context and mtxrun should move into print/tex-luatex.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-01 06:36:46 UTC
ptex2pdf also does: env: texlua: No such file or directory

Can we get a full list of all scripts/binaries/tools that use texlua?